package scrollingdemo;

import java.awt.Dimension;

/*
 * TestJFrame.java
 *
 * Created on 16 December 2001, 22:33
 */

/** This class is only intended to be used to demonstrate
 * the scrolling wrapped map components.
 *
 * @author Luke Lindsay
 */
public class ScrollingDemoJFrame extends javax.swing.JFrame {

	public ScrollingDemoJFrame() {
		initComponents();
	}

	private void initComponents() {
		mainMapViewContainer =
			ScrollingDemoMapViewContainer.generateMainmapComponent(5);

		overviewMapViewContainer =
			ScrollingDemoMapViewContainer.generateOverviewMapComponent(
				1,
				mainMapViewContainer);

		getContentPane().setLayout(new java.awt.GridBagLayout());
		java.awt.GridBagConstraints gridBagConstraints2;

		addWindowListener(new java.awt.event.WindowAdapter() {
			public void windowClosing(java.awt.event.WindowEvent evt) {
				exitForm(evt);
			}
		});

		gridBagConstraints2 = new java.awt.GridBagConstraints();
		gridBagConstraints2.gridheight = 2;
		gridBagConstraints2.fill = java.awt.GridBagConstraints.BOTH;
		gridBagConstraints2.weightx = 1.0;
		gridBagConstraints2.weighty = 1.0;
		getContentPane().add(mainMapViewContainer, gridBagConstraints2);

		overviewMapViewContainer.setMinimumSize(new java.awt.Dimension(150, 150));
		gridBagConstraints2 = new java.awt.GridBagConstraints();
		gridBagConstraints2.gridx = 1;
		gridBagConstraints2.gridy = 0;
		getContentPane().add(overviewMapViewContainer, gridBagConstraints2);
		this.setSize(600, 400);

	}

	/** Exit the Application */
	private void exitForm(java.awt.event.WindowEvent evt) {
		System.exit(0);
	}

	/** Runs the demo
         * @param args the command line arguments
         */
	public static void main(String args[]) {
		new ScrollingDemoJFrame().show();
	}

	private scrollingdemo.ScrollingDemoMapViewContainer mainMapViewContainer;
	private javax.swing.JPanel blankPanel;
	private scrollingdemo.ScrollingDemoMapViewContainer overviewMapViewContainer;

}