package scrollingdemo;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.GraphicsConfiguration;
import java.awt.GraphicsEnvironment;
import java.awt.Image;
import java.awt.Point;
import java.awt.Rectangle;
import java.awt.event.MouseEvent;

import javax.swing.Box;
import javax.swing.JViewport;
import javax.swing.event.MouseInputAdapter;
/** This class is a JPanel that encapsulates a wrapped map
 * component and ensures that the extra restrictions
 * imposed by the wrapped map component are not violated.
 * Where possible, use this class instead of using a wrapped
 * map component directly.
 *
 * @author Luke Lindsay
 */
public class ScrollingDemoMapViewContainer extends javax.swing.JPanel {

	public static ScrollingDemoMapViewContainer generateMainmapComponent(double scale) {
		return new ScrollingDemoMapViewContainer(scale);
	}
	public static ScrollingDemoMapViewContainer generateOverviewMapComponent(
		double scale,
		ScrollingDemoMapViewContainer mainMap) {
		return new ScrollingDemoMapViewContainer(scale, mainMap);
	}

	
	private ScrollingDemoMapViewContainer(double s) {

		mapView = new ScrollingDemoMapView(s);
		initComponents();
		mapView.enableScrollingByDraggingMap();
	}

	private ScrollingDemoMapViewContainer(
		double s,
		ScrollingDemoMapViewContainer theObserved) {

		mapView =
			new ScrollingDemoMapOverview(
				s,
				theObserved.getScrollingDemoMapView(),
				theObserved.getViewport());

		initComponents();
	}

	protected void initComponents() {
		setLayout(new javax.swing.BoxLayout(this, javax.swing.BoxLayout.X_AXIS));

		Dimension mapSize = new Dimension(mapView.getMapSizeInPixels());

		jScrollPane1 = new javax.swing.JScrollPane();

		jScrollPane1.setHorizontalScrollBarPolicy(
			javax.swing.JScrollPane.HORIZONTAL_SCROLLBAR_NEVER);
		jScrollPane1.setVerticalScrollBarPolicy(
			javax.swing.JScrollPane.VERTICAL_SCROLLBAR_NEVER);
			
                //Seems to be unnecessary.
		//jScrollPane1.getViewport().setScrollMode(JViewport.SIMPLE_SCROLL_MODE);

		
		jScrollPane1.setMaximumSize(mapSize);
		jScrollPane1.setPreferredSize(mapSize);

		mapView.setLayout(new java.awt.BorderLayout());

		jScrollPane1.setViewportView(mapView);

		setPreferredSize(mapSize);
		add(Box.createHorizontalGlue());
		add(jScrollPane1);
		add(Box.createHorizontalGlue());

	}
	protected JViewport getViewport() {
		return jScrollPane1.getViewport();
	}
	protected ScrollingDemoMapView getScrollingDemoMapView() {
		return mapView;
	}

	private javax.swing.JScrollPane jScrollPane1;
	private ScrollingDemoMapView mapView;

	
}